Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.pqc.crypto.uov
Class UOVPrivateKeyParameters

    java.lang.Object
      org.bouncycastle.crypto.params.AsymmetricKeyParameter
          org.bouncycastle.pqc.crypto.uov.UOVKeyParameters
              org.bouncycastle.pqc.crypto.uov.UOVPrivateKeyParameters

All Implemented Interfaces:
  CipherParameters

public class UOVPrivateKeyParameters
extends UOVKeyParameters

Constructor Summary
`UOVPrivateKeyParameters(UOVParameters params, byte[] encoded)`
`UOVPrivateKeyParameters(UOVParameters params, byte[] encoded, byte[] seed)` Construct from the full classic encoding (sk_seed || O || P1 || S).

Method Summary
`byte[]` | `getEncoded()`
`byte[]` | `getSeed()`

Methods inherited from class org.bouncycastle.pqc.crypto.uov.UOVKeyParameters
`getParameters`

Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter
`isPrivate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UOVPrivateKeyParameters

    public UOVPrivateKeyParameters(UOVParameters params,
                                   byte[] encoded)

### UOVPrivateKeyParameters

    public UOVPrivateKeyParameters(UOVParameters params,
                                   byte[] encoded,
                                   byte[] seed)

  Construct from the full classic encoding (sk_seed || O || P1 || S).

Parameters:
  `params` - the parameter set.
  `encoded` - the full secret-key encoding.
  `seed` - optional 32-byte seed when the caller has it separately; if non-null, must match the first 32 bytes of .

Method Detail

### getEncoded

    public byte[] getEncoded()

### getSeed

    public byte[] getSeed()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD